length = 15.0;
width = 12.0;
thickness = 0.4;

usb_hole_length = 2.0;
usb_hole_width = 2.5;
usb_hole_offset_x = 5.16;
usb_hole_offset_y = 1.5;

mounting_hole_diameter = 1.0;
mounting_hole_radius = mounting_hole_diameter / 2.0;
mounting_hole_offset_x = 0.75;
mounting_hole_offset_y = 2.0;

module usb_hole() {
    cube([usb_hole_length, usb_hole_width, thickness]);
}

module mounting_hole() {
    cylinder(thickness, d=mounting_hole_diameter, $fn=100);
}

difference() {
    cube([length, width, thickness]);
    translate([usb_hole_offset_x, width/2.0, 0.0]) {
        translate([0.0, -usb_hole_offset_y-usb_hole_width, 0.0]) usb_hole();
        translate([0.0, usb_hole_offset_y, 0.0]) usb_hole();
    }
    translate([11.75+mounting_hole_offset_x+mounting_hole_radius, 0.0, 0.0]) {
        translate([0.0, mounting_hole_offset_y+mounting_hole_radius, 0.0]) mounting_hole();
        translate([0.0, width-(mounting_hole_offset_y+mounting_hole_radius), 0.0]) mounting_hole();
    }
}
